Package org.apache.sling.cms.publication

## Enum PublicationType

- java.lang.Object
- - java.lang.Enum<PublicationType>
  - - org.apache.sling.cms.publication.PublicationType

All Implemented Interfaces:
  `Serializable`, `Comparable<PublicationType>`

    public enum PublicationType
    extends Enum<PublicationType>

The type of publication. If in standalone will return STANDALONE.

### Enum Constant Summary

Enum Constants
`ADD`
`DELETE`
`NONE`

### Method Summary

All Methods Static Methods Concrete Methods
`static PublicationType` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static PublicationType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### ADD

    public static final PublicationType ADD

#### DELETE

    public static final PublicationType DELETE

#### NONE

    public static final PublicationType NONE

### Method Detail

#### values

    public static PublicationType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (PublicationType c : PublicationType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static PublicationType valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null